作者 主題: 如何安裝 KDE3.1 release?  (閱讀 6598 次)

0 會員 與 1 訪客 正在閱讀本文。

淺倉中

  • 憂鬱的高中生
  • ***
  • 文章數: 145
    • 檢視個人資料
    • http://www.shizuka.adsldns.org
如何安裝 KDE3.1 release?
« 於: 2003-01-29 16:35 »
剛剛看到 http://www.kde.org 已經釋出 KDE3.1 版~~

樣子真是美呢!想抓回來安裝看看,但是裡面套件實在很多,

我現在是 KDE3.0.3版,每次我要安裝更新的版本,他就會跟我說那個檔案有

相依性的問題,都沒辦法繼續安裝下去,我只好用 up2date 的方式,

另外,如果我安裝了3.1版,會不會有些原來的程式會因為相依性的問題

而不能執行了???

請問大家如果這樣要升級的話,應該如何來安裝這個3.1版呢?

螢火飛

  • 酷!學園 學長們
  • 活潑的大學生
  • ***
  • 文章數: 400
    • 檢視個人資料
    • http://firefly.idv.tw
Re: 如何安裝 KDE3.1 release?
« 回覆 #1 於: 2003-01-29 17:46 »
引述: "淺倉中"
剛剛看到 http://www.kde.org 已經釋出 KDE3.1 版~~

樣子真是美呢!想抓回來安裝看看,但是裡面套件實在很多,

我現在是 KDE3.0.3版,每次我要安裝更新的版本,他就會跟我說那個檔案有

相依性的問題,都沒辦法繼續安裝下去,我只好用 up2date 的方式,

另外,如果我安裝了3.1版,會不會有些原來的程式會因為相依性的問題

而不能執行了???

請問大家如果這樣要升級的話,應該如何來安裝這個3.1版呢?


嗯!我從 KDE 3.1RC4 開始,就已經開始編譯並包裝 RPM 了,KDE 3.1 的確與 3.0.x 版有很多的改變,KDE 3.1 必須配合 QT 3.1.0 以上版本,所以,要安裝 KDE 3.1 就必須先安裝 QT 3.1.0 或 QT 3.1.1,如果在 RH 8.0 的話,還要安裝 redhat-artwork 0.50 以上的版本。

如果想在 KDE 3.1 上執行遠端桌面分享,還要安裝 openslp 1.0,而且 kdenetwork 在編譯時就必須包含 openslp 支援才行。

如果想在非 RedHat 上編譯安裝的話,順序如下:
1、編譯安裝 QT 3.1.1
2、編譯 arts
3、編譯 kdelibs
當以上三個都已經安裝後,繼續編譯以下幾個:
1、kdebase
2、kdenetwork
3、kdegraphics
4、kdeadmin
5、kdeaddons
6、kdeartwork
剩下的就沒有編譯順序了。

如果是 RedHat 8.0,建議不要自己編譯,等 RedHat Release 再說,因為 RedHat 另外附加修改了很多東西,自己編譯的話,還要去找這些額外套件,是一件很辛苦的事情。

以上。

淺倉中

  • 憂鬱的高中生
  • ***
  • 文章數: 145
    • 檢視個人資料
    • http://www.shizuka.adsldns.org
如何安裝 KDE3.1 release?
« 回覆 #2 於: 2003-01-30 21:17 »
嗯~~那如果是我的 RHL7.3

按學姐的意思是:先安裝好 QT3.1.0(or up)~~

再來還是要按照那個順序去安裝 rpm ㄇ?

淺倉中

  • 憂鬱的高中生
  • ***
  • 文章數: 145
    • 檢視個人資料
    • http://www.shizuka.adsldns.org
如何安裝 KDE3.1 release?
« 回覆 #3 於: 2003-02-04 11:22 »
救命呀!!

我編譯完了 KDE3.1~~

但是要怎樣讓系統會去執行新的 KDE3.1~~

而不是原來的 KDE3.0.3呀????

拜脫一下囉!!

statue

  • 憂鬱的高中生
  • ***
  • 文章數: 157
    • 檢視個人資料
    • http://netlab.cse.yzu.edu.tw/~statue/
如何安裝 KDE3.1 release?
« 回覆 #4 於: 2003-02-04 17:17 »
/usr/ports/Mk/bsd.kde.mk:KDE_VERSION= 3.1

只要更新完 ports, 檢查 Mk/bsd.kde.mk 看看 KDE_VERSION 就可以了.
ttp://netlab.cse.yzu.edu.tw/~statue/